%global __requires_exclude ^libdeviceclient\\.so.*
%global __provides_exclude_from %{_libdir}/pragha/plugins/.*\\.so

Summary:	Lightweight GTK+ music manager
Name:		pragha
Version:	1.3.3
Release:	%mkrel 1
Group:		Sound/Utilities
License:	GPLv3+
URL:		http://pragha-music-player.github.io/
Source0:	https://github.com/pragha-music-player/pragha/releases/download/v%{version}/pragha-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	xfce4-dev-tools
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-audio-1.0)
BuildRequires:	pkgconfig(gstreamer-base-1.0)
BuildRequires:	pkgconfig(grilo-0.3)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(keybinder-3.0)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcdio_paranoia)
# We don't have these yet
#BuildRequires:	pkgconfig(libclastfm)
#BuildRequires:	pkgconfig(libglyr)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libpeas-gtk-1.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libxfce4ui-2)
# Pragha doesn't support rygel-server-2.6 yet
#BuildRequires:	pkgconfig(rygel-server-2.6)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(taglib_c)
BuildRequires:	pkgconfig(totem-plparser)

Requires:	gstreamer1.0-plugins-base

%description
Pragha is a Lightweight Music Player based on Gtk, sqlite, and completely
written in C, constructed to be fast, light, and simultaneously tries to
be complete without obstructing the daily work.

%prep
%setup -q

#found new grilo & rygel
sed -i	-e 's,grilo-0.2,grilo-0.3,g' \
	-e 's,rygel-server-2.2,rygel-server-2.6,g' \
		configure.ac

#fix pluging build flags
sed -i -e 's,^#\(libdeviceclient_la_LDFLAGS.*\),\1,' \
	plugins/devices/Makefile.am

#port to grilo 0.3
sed -i	-e 's,grl_operation_options_set_flags,grl_operation_options_set_resolution_flags,g' \
	-e 's,GRL_IS_MEDIA_AUDIO,grl_media_is_audio,g' \
	-e 's,GRL_IS_MEDIA_BOX,grl_media_is_container,g' \
	-e 's,grl_registry_load_plugin_by_id,grl_registry_activate_plugin_by_id,g' \
	-e 's,grl-upnp,grl-dleyna,g' \
	plugins/dlna-renderer/pragha-dlna-renderer-plugin.c

%build
%xdt_autogen
%configure2_5x \
	--disable-rygel-server-2.6
%make_build

%install
%make_install

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc ChangeLog FAQ NEWS README
%{_bindir}/pragha
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}/
%{_mandir}/man1/pragha.1.*

%{_includedir}/pragha/plugins/pragha-plugin-macros.h

%dir %{_libdir}/pragha/
%dir %{_libdir}/pragha/plugins/

%dir %{_libdir}/pragha/plugins/acoustid/
%{_libdir}/pragha/plugins/acoustid/acoustid.plugin
%{_libdir}/pragha/plugins/acoustid/libacoustid.so

%dir %{_libdir}/pragha/plugins/cdrom/
%{_libdir}/pragha/plugins/cdrom/cdrom.plugin
%{_libdir}/pragha/plugins/cdrom/libcdrom.so

%dir %{_libdir}/pragha/plugins/devices/
%{_libdir}/pragha/plugins/devices/devices.plugin
%{_libdir}/pragha/plugins/devices/libdeviceclient.so
%{_libdir}/pragha/plugins/devices/libdevices.so

%dir %{_libdir}/pragha/plugins/dlna-renderer/
%{_libdir}/pragha/plugins/dlna-renderer/dlna-renderer.plugin
%{_libdir}/pragha/plugins/dlna-renderer/libpdlnarenderer.so

%dir %{_libdir}/pragha/plugins/gnome-media-keys/
%{_libdir}/pragha/plugins/gnome-media-keys/gnome-media-keys.plugin
%{_libdir}/pragha/plugins/gnome-media-keys/libgnome-media-keys.so

%dir %{_libdir}/pragha/plugins/keybinder/
%{_libdir}/pragha/plugins/keybinder/keybinder.plugin
%{_libdir}/pragha/plugins/keybinder/libkeybinder.so

%dir %{_libdir}/pragha/plugins/mpris2/
%{_libdir}/pragha/plugins/mpris2/libmpris2.so
%{_libdir}/pragha/plugins/mpris2/mpris2.plugin

%dir %{_libdir}/pragha/plugins/mtp/
%{_libdir}/pragha/plugins/mtp/libpmtp.so
%{_libdir}/pragha/plugins/mtp/mtp.plugin

%dir %{_libdir}/pragha/plugins/notify/
%{_libdir}/pragha/plugins/notify/libnotify.so
%{_libdir}/pragha/plugins/notify/notify.plugin

%dir %{_libdir}/pragha/plugins/removable/
%{_libdir}/pragha/plugins/removable/libremovable.so
%{_libdir}/pragha/plugins/removable/removable.plugin

%dir %{_libdir}/pragha/plugins/tunein/
%{_libdir}/pragha/plugins/tunein/libtunein.so
%{_libdir}/pragha/plugins/tunein/tunein.plugin


%changelog
* Mon Jan 30 2017 wally <wally> 1.3.3-1.mga6
+ Revision: 1084217
- new version 1.3.3
- add fixes to port to grilo 0.3
- update URL and description

* Tue Feb 16 2016 umeabot <umeabot> 1.1.2.1-9.mga6
+ Revision: 962122
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 daviddavid <daviddavid> 1.1.2.1-8.mga6
+ Revision: 893731
- add more docs to fix build with latest rpm

* Thu Jul 16 2015 sander85 <sander85> 1.1.2.1-7.mga6
+ Revision: 854735
- Rebuild for new libcdio

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2.1-6.mga5
+ Revision: 743668
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2.1-5.mga5
+ Revision: 687764
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1.1.2.1-4.mga5
+ Revision: 592245
- rebuild for libcdio

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2.1-3.mga4
+ Revision: 535147
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 fwang <fwang> 1.1.2.1-2.mga4
+ Revision: 481269
- rebuild for new totem-pl-parser

* Sun Sep 01 2013 fwang <fwang> 1.1.2.1-1.mga4
+ Revision: 473931
- br intltool
- drop unsatisfied br
- update br
- new version 1.1.2.1

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1-3.mga3
+ Revision: 378159
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 1.1.1-2.mga3
+ Revision: 324493
- update RPM group

* Sun Aug 26 2012 fedya <fedya> 1.1.1-1.mga3
+ Revision: 284333
- +BuildRequires: sqlite3-devel
- old patch removed
- added %%mkrel macro
- imported package pragha

